// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/charger/ReserveNow.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace ReserveNow {

  /// <summary>Holder for reflection information generated from command/charger/ReserveNow.proto</summary>
  public static partial class ReserveNowReflection {

    #region Descriptor
    /// <summary>File descriptor for command/charger/ReserveNow.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static ReserveNowReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiBjb21tYW5kL2NoYXJnZXIvUmVzZXJ2ZU5vdy5wcm90bxILcmVzZXJ2ZV9u",
            "b3caH2dvb2dsZS9wcm90b2J1Zi90aW1lc3RhbXAucHJvdG8isAEKEVJlc2Vy",
            "dmVOb3dDb21tYW5kEhQKDGNvbm5lY3Rvcl9pZBgBIAEoBRIvCgtleHBpcnlf",
            "ZGF0ZRgCIAEoCzIaLmdvb2dsZS5wcm90b2J1Zi5UaW1lc3RhbXASDgoGaWRf",
            "dGFnGAMgASgJEhoKDXBhcmVudF9pZF90YWcYBCABKAlIAIgBARIWCg5yZXNl",
            "cnZhdGlvbl9pZBgFIAEoBUIQCg5fcGFyZW50X2lkX3RhZyLCAQoZUmVzZXJ2",
            "ZU5vd0NvbW1hbmRSZXNwb25zZRJICgZzdGF0dXMYASABKA4yOC5yZXNlcnZl",
            "X25vdy5SZXNlcnZlTm93Q29tbWFuZFJlc3BvbnNlLlJlc2VydmF0aW9uU3Rh",
            "dHVzIlsKEVJlc2VydmF0aW9uU3RhdHVzEgwKCEFjY2VwdGVkEAASCwoHRmF1",
            "bHRlZBABEgwKCE9jY3VwaWVkEAISDAoIUmVqZWN0ZWQQAxIPCgtVbmF2YWls",
            "YWJsZRAEQogBCiFjb20uY29kaWJseS5tb2RlbC5jb21tYW5kLmNoYXJnZXJC",
            "D1Jlc2VydmVOb3dQcm90b8oCIURvbWFpbk1vZGVsXFByb3RvXENvbW1hbmRc",
            "Q2hhcmdlcuICLURvbWFpbk1vZGVsXFByb3RvXENvbW1hbmRcQ2hhcmdlclxH",
            "UEJNZXRhZGF0YWIGcHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::ReserveNow.ReserveNowCommand), global::ReserveNow.ReserveNowCommand.Parser, new[]{ "ConnectorId", "ExpiryDate", "IdTag", "ParentIdTag", "ReservationId" }, new[]{ "ParentIdTag" }, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::ReserveNow.ReserveNowCommandResponse), global::ReserveNow.ReserveNowCommandResponse.Parser, new[]{ "Status" }, null, new[]{ typeof(global::ReserveNow.ReserveNowCommandResponse.Types.ReservationStatus) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class ReserveNowCommand : pb::IMessage<ReserveNowCommand>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<ReserveNowCommand> _parser = new pb::MessageParser<ReserveNowCommand>(() => new ReserveNowCommand());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<ReserveNowCommand> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::ReserveNow.ReserveNowReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ReserveNowCommand() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ReserveNowCommand(ReserveNowCommand other) : this() {
      connectorId_ = other.connectorId_;
      expiryDate_ = other.expiryDate_ != null ? other.expiryDate_.Clone() : null;
      idTag_ = other.idTag_;
      parentIdTag_ = other.parentIdTag_;
      reservationId_ = other.reservationId_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ReserveNowCommand Clone() {
      return new ReserveNowCommand(this);
    }

    /// <summary>Field number for the "connector_id" field.</summary>
    public const int ConnectorIdFieldNumber = 1;
    private int connectorId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int ConnectorId {
      get { return connectorId_; }
      set {
        connectorId_ = value;
      }
    }

    /// <summary>Field number for the "expiry_date" field.</summary>
    public const int ExpiryDateFieldNumber = 2;
    private global::Google.Protobuf.WellKnownTypes.Timestamp expiryDate_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Google.Protobuf.WellKnownTypes.Timestamp ExpiryDate {
      get { return expiryDate_; }
      set {
        expiryDate_ = value;
      }
    }

    /// <summary>Field number for the "id_tag" field.</summary>
    public const int IdTagFieldNumber = 3;
    private string idTag_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string IdTag {
      get { return idTag_; }
      set {
        idTag_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "parent_id_tag" field.</summary>
    public const int ParentIdTagFieldNumber = 4;
    private string parentIdTag_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ParentIdTag {
      get { return parentIdTag_ ?? ""; }
      set {
        parentIdTag_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "parent_id_tag" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasParentIdTag {
      get { return parentIdTag_ != null; }
    }
    /// <summary>Clears the value of the "parent_id_tag" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearParentIdTag() {
      parentIdTag_ = null;
    }

    /// <summary>Field number for the "reservation_id" field.</summary>
    public const int ReservationIdFieldNumber = 5;
    private int reservationId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int ReservationId {
      get { return reservationId_; }
      set {
        reservationId_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as ReserveNowCommand);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(ReserveNowCommand other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (ConnectorId != other.ConnectorId) return false;
      if (!object.Equals(ExpiryDate, other.ExpiryDate)) return false;
      if (IdTag != other.IdTag) return false;
      if (ParentIdTag != other.ParentIdTag) return false;
      if (ReservationId != other.ReservationId) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (ConnectorId != 0) hash ^= ConnectorId.GetHashCode();
      if (expiryDate_ != null) hash ^= ExpiryDate.GetHashCode();
      if (IdTag.Length != 0) hash ^= IdTag.GetHashCode();
      if (HasParentIdTag) hash ^= ParentIdTag.GetHashCode();
      if (ReservationId != 0) hash ^= ReservationId.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (ConnectorId != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(ConnectorId);
      }
      if (expiryDate_ != null) {
        output.WriteRawTag(18);
        output.WriteMessage(ExpiryDate);
      }
      if (IdTag.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(IdTag);
      }
      if (HasParentIdTag) {
        output.WriteRawTag(34);
        output.WriteString(ParentIdTag);
      }
      if (ReservationId != 0) {
        output.WriteRawTag(40);
        output.WriteInt32(ReservationId);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (ConnectorId != 0) {
        output.WriteRawTag(8);
        output.WriteInt32(ConnectorId);
      }
      if (expiryDate_ != null) {
        output.WriteRawTag(18);
        output.WriteMessage(ExpiryDate);
      }
      if (IdTag.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(IdTag);
      }
      if (HasParentIdTag) {
        output.WriteRawTag(34);
        output.WriteString(ParentIdTag);
      }
      if (ReservationId != 0) {
        output.WriteRawTag(40);
        output.WriteInt32(ReservationId);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (ConnectorId != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(ConnectorId);
      }
      if (expiryDate_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(ExpiryDate);
      }
      if (IdTag.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(IdTag);
      }
      if (HasParentIdTag) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ParentIdTag);
      }
      if (ReservationId != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(ReservationId);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(ReserveNowCommand other) {
      if (other == null) {
        return;
      }
      if (other.ConnectorId != 0) {
        ConnectorId = other.ConnectorId;
      }
      if (other.expiryDate_ != null) {
        if (expiryDate_ == null) {
          ExpiryDate = new global::Google.Protobuf.WellKnownTypes.Timestamp();
        }
        ExpiryDate.MergeFrom(other.ExpiryDate);
      }
      if (other.IdTag.Length != 0) {
        IdTag = other.IdTag;
      }
      if (other.HasParentIdTag) {
        ParentIdTag = other.ParentIdTag;
      }
      if (other.ReservationId != 0) {
        ReservationId = other.ReservationId;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 18: {
            if (expiryDate_ == null) {
              ExpiryDate = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(ExpiryDate);
            break;
          }
          case 26: {
            IdTag = input.ReadString();
            break;
          }
          case 34: {
            ParentIdTag = input.ReadString();
            break;
          }
          case 40: {
            ReservationId = input.ReadInt32();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 18: {
            if (expiryDate_ == null) {
              ExpiryDate = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(ExpiryDate);
            break;
          }
          case 26: {
            IdTag = input.ReadString();
            break;
          }
          case 34: {
            ParentIdTag = input.ReadString();
            break;
          }
          case 40: {
            ReservationId = input.ReadInt32();
            break;
          }
        }
      }
    }
    #endif

  }

  public sealed partial class ReserveNowCommandResponse : pb::IMessage<ReserveNowCommandResponse>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<ReserveNowCommandResponse> _parser = new pb::MessageParser<ReserveNowCommandResponse>(() => new ReserveNowCommandResponse());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<ReserveNowCommandResponse> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::ReserveNow.ReserveNowReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ReserveNowCommandResponse() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ReserveNowCommandResponse(ReserveNowCommandResponse other) : this() {
      status_ = other.status_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public ReserveNowCommandResponse Clone() {
      return new ReserveNowCommandResponse(this);
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 1;
    private global::ReserveNow.ReserveNowCommandResponse.Types.ReservationStatus status_ = global::ReserveNow.ReserveNowCommandResponse.Types.ReservationStatus.Accepted;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::ReserveNow.ReserveNowCommandResponse.Types.ReservationStatus Status {
      get { return status_; }
      set {
        status_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as ReserveNowCommandResponse);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(ReserveNowCommandResponse other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Status != other.Status) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (Status != global::ReserveNow.ReserveNowCommandResponse.Types.ReservationStatus.Accepted) hash ^= Status.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Status != global::ReserveNow.ReserveNowCommandResponse.Types.ReservationStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Status != global::ReserveNow.ReserveNowCommandResponse.Types.ReservationStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (Status != global::ReserveNow.ReserveNowCommandResponse.Types.ReservationStatus.Accepted) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(ReserveNowCommandResponse other) {
      if (other == null) {
        return;
      }
      if (other.Status != global::ReserveNow.ReserveNowCommandResponse.Types.ReservationStatus.Accepted) {
        Status = other.Status;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            Status = (global::ReserveNow.ReserveNowCommandResponse.Types.ReservationStatus) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            Status = (global::ReserveNow.ReserveNowCommandResponse.Types.ReservationStatus) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the ReserveNowCommandResponse message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum ReservationStatus {
        [pbr::OriginalName("Accepted")] Accepted = 0,
        [pbr::OriginalName("Faulted")] Faulted = 1,
        [pbr::OriginalName("Occupied")] Occupied = 2,
        [pbr::OriginalName("Rejected")] Rejected = 3,
        [pbr::OriginalName("Unavailable")] Unavailable = 4,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
